Package com.xebialabs.xlrelease.serialization.json.jackson

## Class CiDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<ConfigurationItem>
  - - com.xebialabs.xlrelease.serialization.json.jackson.CiDeserializer

- All Implemented Interfaces:
    `com.fasterxml.jackson.databind.deser.NullValueProvider`

      @Component
      public class CiDeserializer
      extends com.fasterxml.jackson.databind.JsonDeserializer<ConfigurationItem>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `com.fasterxml.jackson.databind.JsonDeserializer.None`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CiDeserializer()` |
    `CiDeserializer​(com.xebialabs.deployit.repository.RepositoryAdapter repository)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConfigurationItem` | `deserialize​(com.fasterxml.jackson.core.JsonParser jsonParser, com.fasterxml.jackson.databind.DeserializationContext deserializationContext)` |

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

      `deserialize, deserializeWithType, deserializeWithType, findBackReference, getAbsentValue, getDelegatee, getEmptyAccessPattern, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, handledType, isCachable, logicalType, replaceDelegatee, supportsUpdate, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CiDeserializer

          public CiDeserializer()

    - #### CiDeserializer

          @Autowired
          public CiDeserializer​(com.xebialabs.deployit.repository.RepositoryAdapter repository)

  - ### Method Detail

    - #### deserialize

          public ConfigurationItem deserialize​(com.fasterxml.jackson.core.JsonParser jsonParser,
                                               com.fasterxml.jackson.databind.DeserializationContext deserializationContext)
                                        throws java.io.IOException

      Specified by:
        `deserialize` in class `com.fasterxml.jackson.databind.JsonDeserializer<ConfigurationItem>`
      Throws:
        `java.io.IOException`